com.fasterxml.aalto.out

## Class WNameTable

- java.lang.Object
- - com.fasterxml.aalto.util.NameTable
  - - com.fasterxml.aalto.out.WNameTable

-     public final class WNameTable
      extends NameTable

  This is a symbol table implementation used for storing byte-based `WName`s.

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `WNameTable(int hashSize)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected WNameTable` | `createChild(WNameFactory f)`
    `WName` | `findSymbol(String localName)`
    `WName` | `findSymbol(String prefix, String localName)` Finds and returns name matching the specified symbol, if such name already exists in the table; or if not, creates name object, adds to the table, and returns it.
    `void` | `markAsShared()`
    `boolean` | `maybeDirty()` Method called to check to quickly see if a child symbol table may have gotten additional entries.
    `boolean` | `mergeToParent()`
    `void` | `nuke()` Method used by test code, to reset state of the name table.
    `int` | `size()`
    `String` | `toDebugString()`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### WNameTable

          protected WNameTable(int hashSize)

  - ### Method Detail

    - #### createChild

          protected WNameTable createChild(WNameFactory f)

    - #### mergeToParent

          public boolean mergeToParent()

    - #### markAsShared

          public void markAsShared()

    - #### nuke

          public void nuke()

      Method used by test code, to reset state of the name table.

    - #### size

          public int size()

      Specified by:
        `size` in class `NameTable`

    - #### maybeDirty

          public boolean maybeDirty()

      Method called to check to quickly see if a child symbol table may have gotten additional entries. Used for checking to see if a child table should be merged into shared table.
      Specified by:
        `maybeDirty` in class `NameTable`

    - #### findSymbol

          public WName findSymbol(String localName)
                           throws XMLStreamException

      Throws:
        `XMLStreamException`

    - #### findSymbol

          public WName findSymbol(String prefix,
                         String localName)
                           throws XMLStreamException

      Finds and returns name matching the specified symbol, if such name already exists in the table; or if not, creates name object, adds to the table, and returns it.
      Throws:
        `XMLStreamException`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### toDebugString

          public String toDebugString()

Copyright © 2012-2015 FasterXML. All Rights Reserved.